# Background info and technical details

From [OpenPEPPOL](https://peppol.eu/what-is-peppol/peppol-country-profiles/denmark-country-profile/):

> Danish legislation mandates all public authorities to be able to receive eInvoices sent in accordance with the national OIOUBL specification. From April 18, 2019 all state public authorities will be able to receive PEPPOL eInvoices via the PEPPOL eDelivery network. This requirement will by April 18, 2020 be expanded to include all other public authorities as well.

### About e-invoicing in Denmark

See the following page for updated information on e-invoicing rules and regulations in Denmark:

{% embed url="<https://erhvervsstyrelsen.dk/krav-til-offentlige-myndigheder>" %}

According to this page, all government institutions are already required by law to be able to receive PEPPOL e-invoices. All other companies will be required to have the same support by **April 18. 2020:**

> * 18\. april 2019 skal statslige myndigheder og institutioner være i stand til at modtage PEPPOL e-fakturaer via. PEPPOL eDelivery netværket.
> * **18. april 2020** skal ikke-statslige myndigheder og institutioner være i stand til at modtage PEPPOL e-fakturaer via. PEPPOL eDelivery netværket.
>   * Leverandører til det offentlige kan opfylde deres forpligtelse om e-fakturering til det offentlige ved enten at gøre brug af den danske OIOUBL som hidtil eller den nye europæiske PEPPOL standard.

Furthermore, according to the same page, receivers are to be registered in [NemHandelsregisteret](https://registration.nemhandel.dk/NemHandelRegisterWeb/) in order to receive PEPPOL e-invoices.

The old Danish standard for e-invoicing was OIOUBL. This is still an accepted standard within the country, but as PEPPOL is becoming the official standard that every company is required to support (by April 18.), Moment should be able to use PEPPOL BIS Billing 3.0 invoices and credit notes for all e-invoicing. If not we should support OIOUBL through Maventa, but feel free to ask support for assistance here.

{% embed url="<https://erhvervsstyrelsen.dk/vejledning-cius-core-invoice-usage-specification>" %}

The above document is also a good documentation on how to handle Denmark-specific e-invoice rules.

## PEPPOL ID (e-invoicing address)

### Example of finding a Danish PEPPOL ID

Vejdirektoratet is a governmental institution in Denmark with the CVR number [60729018](https://datacvr.virk.dk/data/visninger?soeg=60729018). If this number was registered on the PEPPOL network, it would have looked like this:

```
<ICD>:<CVR NUMBER>
9902:60729018
```

... but it is NOT. Adding to the confusion according to the ISO 6523 the correct ICD for DK:CVR is 0184, which would be formatted like 0184:DK60729018, which is still not valid.&#x20;

In order to figure out the actual PEPPOL BIS Billing address, we need to check NemHandelsregisteret with a CVR lookup: <https://registration.nemhandel.dk/NemHandelRegisterWeb/public/participant/cvrSearch?unitcvr=60729018>&#x20;

This leads us to the correct PEPPOL e-invoicing address (GLN - Global Location Number):

```
<ICD>:<GLN>
0088:5798000893450
```

Moment is able to send e-invoices to this address using Maventa.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.milientsoftware.com/help/financial/e-invoicing/countries/denmark/technical.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
